void printi(int val);

int main()
{
  int val  = 1;
  long lval = 10;
  int size;

  printi(val);

  size = sizeof(val ? val : lval); printi(size); /* sizeof(long) */
  size = sizeof(0 ? val : lval); printi(size); /* sizeof(long) */
  size = sizeof(1 ? val : lval); printi(size); /* sizeof(long) */

  return 0;
}
